summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2011-01-18 01:49:22 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2011-01-18 01:49:22 +0000
commiteebb2d1b9cf0da22ed654ca7ac97a0ae845802ba (patch)
treec8f4e22a0813501be1ccdb0465a75bd8b445ed96 /test
parente39178de28dc62b79e7b02fd4bf527d20e8b9179 (diff)
downloadopenrc-eebb2d1b9cf0da22ed654ca7ac97a0ae845802ba.tar.gz
openrc-eebb2d1b9cf0da22ed654ca7ac97a0ae845802ba.tar.bz2
openrc-eebb2d1b9cf0da22ed654ca7ac97a0ae845802ba.tar.xz
test: You need to run "make" before "make check" will work.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'test')
-rwxr-xr-xtest/setup_env.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/test/setup_env.sh b/test/setup_env.sh
index faa8c8b..9f3a3fd 100755
--- a/test/setup_env.sh
+++ b/test/setup_env.sh
@@ -12,7 +12,11 @@ builddir=${builddir:-${srcdir}}
export LD_LIBRARY_PATH=${top_builddir}/src/libeinfo:${top_builddir}/src/librc:${LD_LIBRARY_PATH}
export PATH=${top_builddir}/src/rc:${PATH}
-if ! . ${top_srcdir}/sh/functions.sh; then
+
+if [ ! -f ${top_srcdir}/sh/functions.sh ] ; then
+ echo "functions.sh not yet created !?" 1>&2
+ exit 1
+elif ! . ${top_srcdir}/sh/functions.sh; then
echo "Sourcing functions.sh failed !?" 1>&2
exit 1
fi